facenumbering.h File Reference

Implementation details for describing how subdim-faces are numbered within a dim-dimensional simplex. More...

`#include <algorithm>`
`#include "regina-core.h"`
`#include "maths/perm.h"`

## Classes

class | regina::detail::FaceNumberingAPI< dim, subdim >
| Placeholder class that outlines the functions provided by FaceNumbering<dim, subdim>. More...
class | regina::detail::FaceNumberingImpl< dim, subdim, lex >
| Implementation details for numbering subdim-faces of a dim-dimensional simplex. More...
class | regina::detail::FaceNumberingImpl< dim, subdim, false >
class | regina::detail::FaceNumberingImpl< dim, 0, true >
class | regina::detail::FaceNumberingImpl< 1, 0, true >
class | regina::detail::FaceNumberingImpl< 2, 0, true >
class | regina::detail::FaceNumberingImpl< 2, 1, false >
class | regina::detail::FaceNumberingImpl< 3, 0, true >
class | regina::detail::FaceNumberingImpl< 3, 1, true >
class | regina::detail::FaceNumberingImpl< 3, 2, false >
class | regina::detail::FaceNumberingImpl< 4, 0, true >
class | regina::detail::FaceNumberingImpl< 4, 1, true >
class | regina::detail::FaceNumberingImpl< 4, 2, false >
class | regina::detail::FaceNumberingImpl< 4, 3, false >

## Namespaces

| regina
| Contains the entire Regina calculation engine.
| regina::detail
| Contains implementation details and common functionality for Regina's dimension-agnostic classes.

## Variables

const int *const | regina::detail::binomSmall_ [17]
| A lookup table that stores (n choose k) for all n ≤ 16. More...

## Detailed Description

Implementation details for describing how subdim-faces are numbered within a dim-dimensional simplex.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).